Package org.apache.sling.repoinit.parser.operations

# Interface OperationVisitor

@ConsumerType public interface OperationVisitor

## Method Summary

Modifier and Type
Method
Description
`void`
`visitAddGroupMembers(AddGroupMembers am)`
`default void`
`visitAddMixins(AddMixins s)`
`void`
`visitCreateGroup(CreateGroup g)`
`void`
`visitCreatePath(CreatePath cp)`
Deprecated.
new statement calls `visitEnsureNodes(EnsureNodes)`
`void`
`visitCreateServiceUser(CreateServiceUser s)`
`void`
`visitCreateUser(CreateUser u)`
`default void`
`visitDeleteAclPaths(DeleteAclPaths s)`
`default void`
`visitDeleteAclPrincipalBased(DeleteAclPrincipalBased s)`
`default void`
`visitDeleteAclPrincipals(DeleteAclPrincipals s)`
`void`
`visitDeleteGroup(DeleteGroup g)`
`void`
`visitDeleteServiceUser(DeleteServiceUser s)`
`void`
`visitDeleteUser(DeleteUser u)`
`void`
`visitDisableServiceUser(DisableServiceUser dsu)`
`default void`
`visitEnsureAclPrincipalBased(EnsureAclPrincipalBased ensureAclPrincipalBased)`
`default void`
`visitEnsureNodes(EnsureNodes en)`
`void`
`visitRegisterNamespace(RegisterNamespace rn)`
`void`
`visitRegisterNodetypes(RegisterNodetypes b)`
`void`
`visitRegisterPrivilege(RegisterPrivilege rp)`
`default void`
`visitRemoveAcePaths(RemoveAcePaths s)`
`default void`
`visitRemoveAcePrincipal(RemoveAcePrincipals s)`
`default void`
`visitRemoveAcePrincipalBased(RemoveAcePrincipalBased s)`
`void`
`visitRemoveGroupMembers(RemoveGroupMembers rm)`
`default void`
`visitRemoveMixins(RemoveMixins s)`
`void`
`visitSetAclPaths(SetAclPaths s)`
`void`
`visitSetAclPrincipal(SetAclPrincipals s)`
`void`
`visitSetAclPrincipalBased(SetAclPrincipalBased s)`
Deprecated.
new statement calls `visitEnsureAclPrincipalBased(EnsureAclPrincipalBased)`
`void`
`visitSetProperties(SetProperties sp)`

## Method Details

### visitCreateGroup

void visitCreateGroup(CreateGroup g)

### visitDeleteGroup

void visitDeleteGroup(DeleteGroup g)

### visitCreateUser

void visitCreateUser(CreateUser u)

### visitDeleteUser

void visitDeleteUser(DeleteUser u)

### visitCreateServiceUser

void visitCreateServiceUser(CreateServiceUser s)

### visitDeleteServiceUser

void visitDeleteServiceUser(DeleteServiceUser s)

### visitSetAclPrincipal

void visitSetAclPrincipal(SetAclPrincipals s)

### visitSetAclPaths

void visitSetAclPaths(SetAclPaths s)

### visitSetAclPrincipalBased

@Deprecated void visitSetAclPrincipalBased(SetAclPrincipalBased s)
Deprecated.
new statement calls `visitEnsureAclPrincipalBased(EnsureAclPrincipalBased)`
From deprecated statement

### visitEnsureAclPrincipalBased

default void visitEnsureAclPrincipalBased(EnsureAclPrincipalBased ensureAclPrincipalBased)

### visitRemoveAcePrincipal

default void visitRemoveAcePrincipal(RemoveAcePrincipals s)

### visitRemoveAcePaths

default void visitRemoveAcePaths(RemoveAcePaths s)

### visitRemoveAcePrincipalBased

default void visitRemoveAcePrincipalBased(RemoveAcePrincipalBased s)

### visitCreatePath

@Deprecated void visitCreatePath(CreatePath cp)
Deprecated.
new statement calls `visitEnsureNodes(EnsureNodes)`
From deprecated statement

### visitEnsureNodes

default void visitEnsureNodes(EnsureNodes en)

### visitRegisterNamespace

void visitRegisterNamespace(RegisterNamespace rn)

### visitRegisterNodetypes

void visitRegisterNodetypes(RegisterNodetypes b)

### visitRegisterPrivilege

void visitRegisterPrivilege(RegisterPrivilege rp)

### visitDisableServiceUser

void visitDisableServiceUser(DisableServiceUser dsu)

### visitAddGroupMembers

void visitAddGroupMembers(AddGroupMembers am)

### visitRemoveGroupMembers

void visitRemoveGroupMembers(RemoveGroupMembers rm)

### visitSetProperties

void visitSetProperties(SetProperties sp)

### visitDeleteAclPrincipals

default void visitDeleteAclPrincipals(DeleteAclPrincipals s)

### visitDeleteAclPaths

default void visitDeleteAclPaths(DeleteAclPaths s)

### visitDeleteAclPrincipalBased

default void visitDeleteAclPrincipalBased(DeleteAclPrincipalBased s)

### visitAddMixins

default void visitAddMixins(AddMixins s)

### visitRemoveMixins

default void visitRemoveMixins(RemoveMixins s)